6 Replies Latest reply: Apr 4, 2011 8:47 PM by Joseph Kriz
Softie68 Level 1 (0 points)
I recently bought angry birds from the app store but it wont allow me to sync it to my device. It keeps saying it wasnt installed because I need newer Ipod isnt upto date. But there arent any updates available for my Ipod. I dont know what else to do. I have a 1st gen touch 16GB

Compaq, Windows 7